export { default as log } from 'npmlog';

declare function getAllThingJSVersions(): Promise<string[]>;
declare function validateThingJSVersion(version: string): boolean;
declare function getLatestThingJSVersion(): Promise<string>;
declare function installDefaultThingJS(isPro: boolean, cwd?: string): Promise<boolean>;
declare function installThingJSAndWasmAndCampusByVersion(version: string, isPro: boolean, cwd?: string): Promise<boolean>;
declare function downloadThingJSByVersion(version: string, isPro: boolean, cwd?: string): Promise<boolean>;
declare function writeThingjsVersionToPkg(version: string, isPro: boolean, cwd?: string): Promise<boolean>;
declare function checkProByPackage(cwd?: string): Promise<boolean>;
declare const thing: {
    checkProByPackage: typeof checkProByPackage;
    writeThingjsVersionToPkg: typeof writeThingjsVersionToPkg;
    getAllThingJSVersions: typeof getAllThingJSVersions;
    getLatestThingJSVersion: typeof getLatestThingJSVersion;
    validateThingJSVersion: typeof validateThingJSVersion;
    installDefaultThingJS: typeof installDefaultThingJS;
    installThingJSAndWasmAndCampusByVersion: typeof installThingJSAndWasmAndCampusByVersion;
    downloadThingJSByVersion: typeof downloadThingJSByVersion;
};

interface PrepareOption {
    nodeVersion: string;
}
/**
 * prepare for the commands of scaffolding
 */
declare function prepareCheck(option: PrepareOption): Promise<void>;
declare function checkUserHome(): void;
declare function checkNodeVersion(allowVersion: string): void;

export { checkNodeVersion, checkUserHome, prepareCheck, thing };
